@import url('https://fonts.googleapis.com/css2?family=Barlow+Semi+Condensed&display=swap');

* {
    box-sizing: border-box;
}

body {
    background: radial-gradient(
        circle at 50% 10%,
        hsl(214, 47%, 23%),
        hsl(237, 49%, 15%)
    );
    color: #fff;
    font-family: 'Barlow Semi Condensed', 'sans-serif';

    min-height: 100vh;
    padding-top: 50px;
    margin: 0;
}

.container {
    width: 600px;
    max-width: 100%;
    margin: 0 auto;
}

header {
    border: 3px solid hsl(217, 16%, 45%);
    border-radius: 20px;
    display: flex;
    justify-content: space-between;
    padding: 20px;
    margin-bottom: 50px;
}

h1{
    font-size: 3em;
    margin: 0;
    display: flex;
    flex-direction: column;
    line-height: 0.8;
    text-transform: uppercase;
}

h4 {
    color: hsl(229, 64%, 46%);
    margin: 0;
    letter-spacing: 5px;
    text-transform: uppercase;
}

.stats{
    display: flex;
    justify-content: space-around;
}
.stats b{color: hsl(349, 71%, 52%);}

.score-container{
    background-color: #fff;
    border-radius: 10px;
    padding: 20px 40px;
    text-align: center;
}

.score-container p{
    color: hsl(229, 25%, 31%);
    font-size: 3.5em;
    font-weight: 700;
    margin: 0;
}

main {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    height: 450px;
    width: 500px;
    margin: 0 auto;
    position: relative;
}

main::after{
    background-image: url('./../img/bg-triangle.svg');
    background-repeat: no-repeat;
    background-size: cover;
    content: '';
    position: absolute;
    top: 20%;
    left: 15%;
    height: 70%;
    width: 70%;
    z-index: -1;
}

button{outline: none;}
button:hover{cursor: pointer;}

.btn-circle {
    border: none;
    border-radius: 50%;
    box-shadow: inset 0 -5px rgba(0, 0, 0, 0.15);
    margin: 0 25px;
    height: 200px;
    width: 200px;
}

.btn-circle img{
    height: 65px;
}

.btn-circle .wrapper {
    background: #fff;
    border-radius: 50%;
    box-shadow: inset 0 5px rgba(0, 0, 0, 0.15);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 150px;
    width: 150px;
}

.btn-paper {
    background: linear-gradient(
        to bottom,
        hsl(230, 89%, 62%),
        hsl(230, 89%, 65%)
    );
}

.btn-scissors {
    background: linear-gradient(
        to bottom,
        hsl(39, 89%, 49%),
        hsl(40, 84%, 53%)
    );
}

.btn-rock {
    background: linear-gradient(
        to bottom,
        hsl(349, 71%, 52%),
        hsl(349, 70%, 56%)
    );
}

.btn-rules {
    position: fixed;
    bottom: 30px;
    right: 30px;
    background-color: transparent;
    color: #fff;
}

.btn-play-again{
    color: hsl(229, 25%, 31%);
    background-color: #fff;
    font-weight: 700;
}

.btn {
    border: 2px solid #fff;
    border-radius: 10px;
    font-size: 20px;
    font-family: inherit;
    padding: 10px 25px;
    letter-spacing: 2px;
    text-transform: uppercase;
}

.selection {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;

    width: 800px;
    max-width: 100%;
    margin: 0 auto;
}

.selection .btn-circle {
    margin: 50px;
    transform: scale(1.2);
}

.big-text{
    font-size: 3rem;
    margin: 0 0 20px;
    line-height: 0.8;
    text-transform: uppercase;
}